USB_EP_FREE_BUFFER(9)

NAME
usb_ep_free_buffer - frees an i/o buffer

SYNOPSIS

void usb_ep_free_buffer (struct usb_ep * ep, void * buf, dma_addr_t dma, unsigned len);

ARGUMENTS

ep  the endpoint associated with the buffer

buf CPU view address of the buffer

dma the buffer's DMA address

len length of the buffer

DESCRIPTION

reverses the effect of usb_ep_alloc_buffer. caller guarantees the buffer will no longer be accessed

AUTHOR
David Brownell <dbrownell@users.sourceforge.net>.